Package fr.gouv.vitam.worker.server.rest

# Class WorkerConfiguration

java.lang.Object
fr.gouv.vitam.common.server.application.configuration.DefaultVitamApplicationConfiguration
fr.gouv.vitam.worker.server.rest.WorkerConfiguration

All Implemented Interfaces:
  `VitamApplicationConfiguration`, `VitamApplicationConfigurationInterface`

public final class WorkerConfiguration extends DefaultVitamApplicationConfiguration
Worker configuration class mapping

- ## Field Summary

  ### Fields inherited from class fr.gouv.vitam.common.server.application.configuration.DefaultVitamApplicationConfiguration

  `IS_A_MANDATORY_PARAMETER, jettyConfig`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WorkerConfiguration()`
  WorkerConfiguration empty constructor for YAMLFactory

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getArchiveUnitProfileCacheMaxEntries()`
  `int`
  `getArchiveUnitProfileCacheTimeoutInSeconds()`
  `int`
  `getCapacity()`
  Return the capacity (number of parallel steps that can handle the worker)
  `List<String>`
  `getIndexInheritedRulesWithAPIV2OutputByTenant()`
  `List<String>`
  `getIndexInheritedRulesWithRulesIdByTenant()`
  `String`
  `getProcessingUrl()`
  Get the processingUrl
  `long`
  `getRegisterDelay()`
  Get the registerDelay
  `int`
  `getRegisterRetry()`
  Get the registerRetry
  `String`
  `getRegisterServerHost()`
  Get the registerServerHost
  `int`
  `getRegisterServerPort()`
  Get the registerServerPort
  `int`
  `getSchemaValidatorCacheMaxEntries()`
  `int`
  `getSchemaValidatorCacheTimeoutInSeconds()`
  `String`
  `getUrlCollectInternal()`
  `String`
  `getUrlMetadata()`
  Get the urlMetadata
  `String`
  `getUrlMetadataCollect()`
  `String`
  `getUrlWorkspace()`
  Get the urlWorkspace
  `String`
  `getUrlWorkspaceCollect()`
  `String`
  `getWorkerFamily()`
  Return the workerFamily name
  `boolean`
  `isIgnoreAntivirusCheck()`
  `WorkerConfiguration`
  `setArchiveUnitProfileCacheMaxEntries(int archiveUnitProfileCacheMaxEntries)`
  `WorkerConfiguration`
  `setArchiveUnitProfileCacheTimeoutInSeconds(int archiveUnitProfileCacheTimeoutInSeconds)`
  `WorkerConfiguration`
  `setCapacity(int capacity)`
  Set the capacity (number of parallel steps that can handle the worker)
  `void`
  `setIgnoreAntivirusCheck(boolean ignoreAntivirusCheck)`
  `void`
  `setIndexInheritedRulesWithAPIV2OutputByTenant(List<String> indexInheritedRulesWithAPIV2OutputByTenant)`
  `void`
  `setIndexInheritedRulesWithRulesIdByTenant(List<String> indexInheritedRulesWithRulesIdByTenant)`
  `WorkerConfiguration`
  `setProcessingUrl(String processingUrl)`
  The processingUrl setter
  `WorkerConfiguration`
  `setRegisterDelay(long registerDelay)`
  The registerDelay setter
  `WorkerConfiguration`
  `setRegisterRetry(int registerRetry)`
  The registerRetry setter
  `WorkerConfiguration`
  `setRegisterServerHost(String registerServerHost)`
  The registerServerHost setter
  `WorkerConfiguration`
  `setRegisterServerPort(int registerServerPort)`
  The registerServerPort setter
  `WorkerConfiguration`
  `setSchemaValidatorCacheMaxEntries(int schemaValidatorCacheMaxEntries)`
  `WorkerConfiguration`
  `setSchemaValidatorCacheTimeoutInSeconds(int schemaValidatorCacheTimeoutInSeconds)`
  `WorkerConfiguration`
  `setUrlCollectInternal(String urlCollectInternal)`
  `WorkerConfiguration`
  `setUrlMetadata(String urlMetadata)`
  The urlMetadata setter
  `WorkerConfiguration`
  `setUrlMetadataCollect(String urlMetadataCollect)`
  `WorkerConfiguration`
  `setUrlWorkspace(String urlWorkspace)`
  The urlWorkspace setter
  `WorkerConfiguration`
  `setUrlWorkspaceCollect(String urlWorkspaceCollect)`
  `WorkerConfiguration`
  `setWorkerFamily(String workerFamily)`
  Set the workerFamily name of this worker (Default Value : DefaultWorker)

  ### Methods inherited from class fr.gouv.vitam.common.server.application.configuration.DefaultVitamApplicationConfiguration

  `getAdminBasicAuth, getJettyConfig, isAuthentication, isAuthorizeTrackTotalHits, isEnableSession, isEnableXsrFilter, isTenantFilter, setAdminBasicAuth, setAuthentication, setAuthorizeTrackTotalHits, setEnableSession, setEnableXsrFilter, setJettyConfig, setTenantFilter`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface fr.gouv.vitam.common.server.application.configuration.VitamApplicationConfigurationInterface

  `getBaseUri, getBaseUrl, setBaseUri, setBaseUrl`

- ## Constructor Details

  - ### WorkerConfiguration

    public WorkerConfiguration()
    WorkerConfiguration empty constructor for YAMLFactory

- ## Method Details

  - ### getProcessingUrl

    public String getProcessingUrl()
    Get the processingUrl
    Returns:
      processingUrl

  - ### setProcessingUrl

    public WorkerConfiguration setProcessingUrl(String processingUrl)
    The processingUrl setter
    Parameters:
      `processingUrl` - the processingUrl
    Returns:
      the updated WorkerConfiguration object

  - ### getUrlMetadata

    public String getUrlMetadata()
    Get the urlMetadata
    Returns:
      urlMetadata

  - ### setUrlMetadata

    public WorkerConfiguration setUrlMetadata(String urlMetadata)
    The urlMetadata setter
    Parameters:
      `urlMetadata` - the urlMetadata
    Returns:
      the updated WorkerConfiguration object

  - ### getUrlMetadataCollect

    public String getUrlMetadataCollect()

  - ### setUrlMetadataCollect

    public WorkerConfiguration setUrlMetadataCollect(String urlMetadataCollect)

  - ### getUrlWorkspace

    public String getUrlWorkspace()
    Get the urlWorkspace
    Returns:
      urlWorkspace

  - ### setUrlWorkspace

    public WorkerConfiguration setUrlWorkspace(String urlWorkspace)
    The urlWorkspace setter
    Parameters:
      `urlWorkspace` - the urlWorkspace
    Returns:
      the updated WorkerConfiguration object

  - ### getUrlWorkspaceCollect

    public String getUrlWorkspaceCollect()

  - ### setUrlWorkspaceCollect

    public WorkerConfiguration setUrlWorkspaceCollect(String urlWorkspaceCollect)

  - ### getUrlCollectInternal

    public String getUrlCollectInternal()

  - ### setUrlCollectInternal

    public WorkerConfiguration setUrlCollectInternal(String urlCollectInternal)

  - ### getRegisterServerHost

    public String getRegisterServerHost()
    Get the registerServerHost
    Returns:
      registerServerHost

  - ### setRegisterServerHost

    public WorkerConfiguration setRegisterServerHost(String registerServerHost)
    The registerServerHost setter
    Parameters:
      `registerServerHost` - the registerServerHost
    Returns:
      the updated WorkerConfiguration object

  - ### getRegisterServerPort

    public int getRegisterServerPort()
    Get the registerServerPort
    Returns:
      registerServerPort

  - ### setRegisterServerPort

    public WorkerConfiguration setRegisterServerPort(int registerServerPort)
    The registerServerPort setter
    Parameters:
      `registerServerPort` - the registerServerPort
    Returns:
      the updated WorkerConfiguration object

  - ### getRegisterDelay

    public long getRegisterDelay()
    Get the registerDelay
    Returns:
      registerDelay

  - ### setRegisterDelay

    public WorkerConfiguration setRegisterDelay(long registerDelay)
    The registerDelay setter
    Parameters:
      `registerDelay` - the registerDelay
    Returns:
      the updated WorkerConfiguration object

  - ### getRegisterRetry

    public int getRegisterRetry()
    Get the registerRetry
    Returns:
      registerRetry

  - ### setRegisterRetry

    public WorkerConfiguration setRegisterRetry(int registerRetry)
    The registerRetry setter
    Parameters:
      `registerRetry` - the registerRetry
    Returns:
      the updated WorkerConfiguration object

  - ### getCapacity

    public int getCapacity()
    Return the capacity (number of parallel steps that can handle the worker)
    Returns:
      the capacity

  - ### setCapacity

    public WorkerConfiguration setCapacity(int capacity)
    Set the capacity (number of parallel steps that can handle the worker)
    Parameters:
      `capacity` - the capacity to set
    Returns:
      this

  - ### getWorkerFamily

    public String getWorkerFamily()
    Return the workerFamily name
    Returns:
      workerFamily

  - ### setWorkerFamily

    public WorkerConfiguration setWorkerFamily(String workerFamily)
    Set the workerFamily name of this worker (Default Value : DefaultWorker)
    Parameters:
      `workerFamily` - the worker family as String
    Returns:
      this

  - ### getIndexInheritedRulesWithRulesIdByTenant

    public List<String> getIndexInheritedRulesWithRulesIdByTenant()

  - ### setIndexInheritedRulesWithRulesIdByTenant

    public void setIndexInheritedRulesWithRulesIdByTenant(List<String> indexInheritedRulesWithRulesIdByTenant)

  - ### getIndexInheritedRulesWithAPIV2OutputByTenant

    public List<String> getIndexInheritedRulesWithAPIV2OutputByTenant()

  - ### setIndexInheritedRulesWithAPIV2OutputByTenant

    public void setIndexInheritedRulesWithAPIV2OutputByTenant(List<String> indexInheritedRulesWithAPIV2OutputByTenant)

  - ### getArchiveUnitProfileCacheMaxEntries

    public int getArchiveUnitProfileCacheMaxEntries()

  - ### setArchiveUnitProfileCacheMaxEntries

    public WorkerConfiguration setArchiveUnitProfileCacheMaxEntries(int archiveUnitProfileCacheMaxEntries)

  - ### getArchiveUnitProfileCacheTimeoutInSeconds

    public int getArchiveUnitProfileCacheTimeoutInSeconds()

  - ### setArchiveUnitProfileCacheTimeoutInSeconds

    public WorkerConfiguration setArchiveUnitProfileCacheTimeoutInSeconds(int archiveUnitProfileCacheTimeoutInSeconds)

  - ### getSchemaValidatorCacheMaxEntries

    public int getSchemaValidatorCacheMaxEntries()

  - ### setSchemaValidatorCacheMaxEntries

    public WorkerConfiguration setSchemaValidatorCacheMaxEntries(int schemaValidatorCacheMaxEntries)

  - ### getSchemaValidatorCacheTimeoutInSeconds

    public int getSchemaValidatorCacheTimeoutInSeconds()

  - ### setSchemaValidatorCacheTimeoutInSeconds

    public WorkerConfiguration setSchemaValidatorCacheTimeoutInSeconds(int schemaValidatorCacheTimeoutInSeconds)

  - ### isIgnoreAntivirusCheck

    public boolean isIgnoreAntivirusCheck()

  - ### setIgnoreAntivirusCheck

    public void setIgnoreAntivirusCheck(boolean ignoreAntivirusCheck)